Bug 13706 - REGRESSION (r21026): deviantART chat broken by change between r21003 and r21059
Summary: REGRESSION (r21026): deviantART chat broken by change between r21003 and r21059
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://chat.deviantart.com/chat/devart
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2007-05-13 00:54 PDT by Elliott Sprehn
Modified: 2008-02-11 04:08 PST (History)
3 users (show)

See Also:


Attachments
HTML Sample (19.29 KB, text/html)
2007-05-13 00:56 PDT, Elliott Sprehn
no flags Details
Safari 3 Rendering (Actual Server) (95.72 KB, image/png)
2007-07-09 07:33 PDT, Elliott Sprehn
no flags Details
Firefox 2 Rendering (Actual Server) (105.47 KB, image/png)
2007-07-09 07:34 PDT, Elliott Sprehn
no flags Details
Webkit (r24096) Rendering (Actual Server) (79.77 KB, image/png)
2007-07-09 07:38 PDT, Elliott Sprehn
no flags Details
Webkit (r24096) Rendering (Actual Server) (79.77 KB, image/png)
2007-07-09 07:38 PDT, Elliott Sprehn
no flags Details
Safari 3 Rendering (Attached HTML Sample) (69.24 KB, image/png)
2007-07-09 07:42 PDT, Elliott Sprehn
no flags Details
Firefox 2 Rendering (Attached HTML Sample) (45.70 KB, image/png)
2007-07-09 07:43 PDT, Elliott Sprehn
no flags Details
Webkit (r24096) Rendering (Attached HTML Sample) (77.20 KB, image/png)
2007-07-09 07:44 PDT, Elliott Sprehn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elliott Sprehn 2007-05-13 00:54:29 PDT
The chat service offered by deviantART didn't originally work in Safari due to layout issues, however it was fixed in the nightlies.

Some kind of change between r21003 and r21059 broke it again.

The the issue is on the actual chat page when you're in a channel, not the channel list. You'll need an account to view those pages.

Reprodicible in the latest nigtly as well (Sat May 12 23:58:08 GMT 2007 r21432).
Comment 1 Elliott Sprehn 2007-05-13 00:56:26 PDT
Created attachment 14531 [details]
HTML Sample

HTML from a chat page that illustrates the change that happened. Viewing it in the two different nightlies shows the problem. Also note Firefox renders the page like r21003.
Comment 2 Elliott Sprehn 2007-07-08 23:26:19 PDT
The chat page renders correctly in the Safari 3 Beta, however it's still broken in the latest nightly (r24096).

What revision is in Safari 3 and what is different?
Comment 3 Alexey Proskuryakov 2007-07-09 03:40:52 PDT
I can confirm that a part of the "send" button is visible in Firefox and in r18068 (and also in WinIE 7), but the button is fully obscured in shipping WebKit and in r23922.

However, all the renderings look pretty wrong - is this the case on the actual server, too?
Comment 4 Elliott Sprehn 2007-07-09 07:33:07 PDT
Created attachment 15448 [details]
Safari 3 Rendering (Actual Server)

This is how the page looks when viewing the page sent by the actual server (chat.deviantart.com).
Comment 5 Elliott Sprehn 2007-07-09 07:34:41 PDT
Created attachment 15449 [details]
Firefox 2 Rendering (Actual Server)

How the page renders in Firefox 2 when sent from the actual server (chat.deviantart.com).
Comment 6 Elliott Sprehn 2007-07-09 07:38:19 PDT
Created attachment 15450 [details]
Webkit (r24096) Rendering (Actual Server)

How the page renders in the webkit nightly.
Comment 7 Elliott Sprehn 2007-07-09 07:38:26 PDT
Created attachment 15451 [details]
Webkit (r24096) Rendering (Actual Server)

How the page renders in the webkit nightly.
Comment 8 Elliott Sprehn 2007-07-09 07:42:46 PDT
Created attachment 15452 [details]
Safari 3 Rendering (Attached HTML Sample)

How the test case renders.
Comment 9 Elliott Sprehn 2007-07-09 07:43:52 PDT
Created attachment 15453 [details]
Firefox 2 Rendering (Attached HTML Sample)

How Firefox 2 renders the sample.
Comment 10 Elliott Sprehn 2007-07-09 07:44:47 PDT
Created attachment 15454 [details]
Webkit (r24096) Rendering (Attached HTML Sample)

How the nightly renders the page.
Comment 11 Elliott Sprehn 2007-07-09 07:52:30 PDT
(In reply to comment #3)
> I can confirm that a part of the "send" button is visible in Firefox and in
> r18068 (and also in WinIE 7), but the button is fully obscured in shipping
> WebKit and in r23922.
> 
> However, all the renderings look pretty wrong - is this the case on the actual
> server, too?
> 

I've attached renderings from Firefox 2, Safari 3 and Webkit nightlies. Firefox 2 and Safari 3 render the page correctly while the nightly does not. Safari 2 renders the page like the nightly. This is true of the test case and the actual page sent by the server.

With the test case the send button should be partially obscured (as seen in FF2 and Safari 3), however it is not on the actual page. I think this might relate to some JS that runs on the page?

Looking at the nightly and the area where messages appear in the center (light grey), it is much too wide and also too tall. The bottom of it is obscured under the input box at the bottom so you need to receive several messages in the channel before the first message becomes visible. The side of the box also ends up under the user list and out the side causing a long horizontal scroll bar.
Comment 12 mitz 2007-07-09 08:06:19 PDT
Changing every instance of 'box-sizing' to '-webkit-box-sizing' in the sample HTML and related CSS results in layout that looks very similar to the Firefox 2 layout. WebKit's 'box-sizing' was renamed to '-webkit-box-sizing' in <http://trac.webkit.org/projects/webkit/changeset/21026> in order to fix E*TRADE.
Comment 13 Elliott Sprehn 2007-07-09 08:21:18 PDT
(In reply to comment #12)
> Changing every instance of 'box-sizing' to '-webkit-box-sizing' in the sample
> HTML and related CSS results in layout that looks very similar to the Firefox 2
> layout. WebKit's 'box-sizing' was renamed to '-webkit-box-sizing' in
> <http://trac.webkit.org/projects/webkit/changeset/21026> in order to fix
> E*TRADE.
> 

How does this explain the difference between Safari 3 Beta and the Webkit nightly? Both seem to render E*TRADE fine. Was it only renamed in the nightly, and not Safari 3?

There must be something else different between the two of them.
Comment 14 mitz 2007-07-09 08:27:26 PDT
(In reply to comment #13)
> Both seem to render E*TRADE fine.

E*TRADE may have changed in the mean time.

> Was it only renamed in the nightly,
> and not Safari 3?

Yes. In the Safari 3 beta it is still 'box-sizing'.
Comment 15 David Kilzer (:ddkilzer) 2007-07-14 16:36:01 PDT
This should be fixed in the WebKit nightly builds.  Please re-open if it is not.

Comment 16 Oliver Hunt 2007-07-14 16:42:54 PDT
<rdar://problem/5335881>

Dave, I had just created the radar for this :p
Comment 17 Elliott Sprehn 2007-07-14 20:24:38 PDT
This is still broken because box-sizing is called -webkit-box-sizing in the nightlies. 

Is there a reason the nightlies have -webkit-box-sizing while the Safari 3 build has box-sizing?
Comment 18 David Kilzer (:ddkilzer) 2007-07-15 06:05:40 PDT
(In reply to comment #17)
> This is still broken because box-sizing is called -webkit-box-sizing in the
> nightlies. 
> 
> Is there a reason the nightlies have -webkit-box-sizing while the Safari 3
> build has box-sizing?

It was changed to fix etrade.com per Comment #12.  It was changed to be -webkit-box-sizing (as I understand it) because box-sizing is a CSS3 property whose definition may still change.

http://www.css3.info/preview/box-sizing.html

The chat.devinart.com site should be using -webkit-box-sizing for now to be compatible with Safari.  Should this be an evangelism bug?

Comment 19 Elliott Sprehn 2007-07-15 11:40:26 PDT
(In reply to comment #18)
> (In reply to comment #17)
> > This is still broken because box-sizing is called -webkit-box-sizing in the
> > nightlies. 
> > 
> > Is there a reason the nightlies have -webkit-box-sizing while the Safari 3
> > build has box-sizing?
> 
> It was changed to fix etrade.com per Comment #12.  It was changed to be
> -webkit-box-sizing (as I understand it) because box-sizing is a CSS3 property
> whose definition may still change.
> 
> http://www.css3.info/preview/box-sizing.html
> 
> The chat.devinart.com site should be using -webkit-box-sizing for now to be
> compatible with Safari.  Should this be an evangelism bug?
> 

If it's going to be changed to -webkit-box-sizing in future versions of Safari 3, then yeah, this looks like an evangelism bug.
Comment 20 Robert Blaut 2008-02-11 04:08:24 PST
Evangelism bug shouldn't have P1 priority.